"use strict";
// Copyright IBM Corp. 2019. All Rights Reserved.
// Node module: @loopback/example-context
// This file is licensed under the MIT License.
// License text available at https://opensource.org/licenses/MIT
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const fs_1 = tslib_1.__importDefault(require("fs"));
const util_1 = require("util");
const readdirAsync = util_1.promisify(fs_1.default.readdir);
async function main() {
    let files = await readdirAsync(__dirname);
    // Sort the files by name for consistency
    files = files.filter(f => f.endsWith('.js') && f !== 'index.js').sort();
    for (const name of files) {
        console.log('> %s', name);
        const example = require(`./${name}`);
        try {
            await example.main();
        }
        catch (err) {
            console.error(err);
        }
        console.log('');
    }
}
exports.main = main;
if (require.main === module) {
    process.env.FOO = JSON.stringify({ bar: 'xyz' });
    main().catch(err => {
        console.error(err);
        process.exit(1);
    });
}
//# sourceMappingURL=index.js.map